
dofile("Base.rte/Constants.lua")
dofile("Base.rte/Actors/AI/HumanAI.lua")	--dofile("Base.rte/Base.rte/Actors/AI/HumanAI.lua")

function Create(self)
	self.AI = NativeHumanAI:Create(self)
	
	--------- Health Regen -------
	self.HealTimer = Timer()
	self.HealTime = 1500
	self.HealAmount = 1
	self.HealthRegenMin = 10
	self.HealthRegenMax = 100
	------------------------------
	
	self.enableselect = true;
end

function Update(self)
	if self.HealTimer:IsPastSimMS(self.HealTime) and not self:IsDead() and self.Health > self.HealthRegenMin and self.Health < self.HealthRegenMax then
		self.Health = math.min(100,self.Health + self.HealAmount)
		self.HealTimer:Reset()
	end
	
	if self:IsPlayerControlled() == true then
		if self.enableselect == true then
			self.selected = CreateAEmitter("Commando Voiceover Selected")
			MovableMan:AddParticle(self.selected);
			self.enableselect = false
		end
		self.selected.Pos = self.Pos
		self.selected.ToDelete = false
		self.selected.ToSettle = false
		self.selected.PinStrength = 1000
	else
		self.selected = CreateAEmitter("Commando Voiceover Selected")
		self.enableselect = true
		self.selected.ToDelete = true
	end
	
	if not self:HasObject("GDI Commando C4") then
		self:AddInventoryItem(CreateTDExplosive("GDI Commando C4","GDI.rte"))
	end
end

function UpdateAI(self)
	self.AI:Update(self)
end
