
dofile("Base.rte/Constants.lua")
dofile("Base.rte/Actors/AI/HumanAI.lua")	--dofile("Base.rte/Base.rte/Actors/AI/HumanAI.lua")

function Create(self)
	self.AI = NativeHumanAI:Create(self)
	
	self.gotactor = false;

	self.enablealert = true;
	self.enableclear = true;
	self.enableselect = true;
	
	self.alerttimer = Timer()
	
end

function Update(self)
	for person in MovableMan.Actors do
		if person.Team ~= self.Team then 
			local actor = person
			if SceneMan:ShortestDistance(actor.Pos,self.Pos,true).Magnitude > 500 then
				self.gotactor = false
			else
				self.gotactor = true
			break
			end
		end
	end
	
	if self.gotactor == true then
		if self.enablealert == true then
			self.alert = CreateAEmitter("Recon Voiceover Alert")
			MovableMan:AddParticle(self.alert);
			self.enablealert = false
		elseif self.alerttimer:IsPastSimMS(15000) then
			self.enablealert = true
			self.alerttimer:Reset()
		end
		self.alert.Pos = self.Pos
		self.alert.ToDelete = false
		self.alert.ToSettle = false
		self.alert.PinStrength = 1000
	else
		self.alert = CreateAEmitter("Recon Voiceover Alert")
		self.enablealert = true;
		self.alert.ToDelete = true
	end
	if self.gotactor == false then
		if self.enableclear == true then
			self.clear = CreateAEmitter("Recon Voiceover Area Clear")
			MovableMan:AddParticle(self.clear);
			self.enableclear = false
		end
		self.clear.Pos = self.Pos
		self.clear.ToDelete = false
		self.clear.ToSettle = false
		self.clear.PinStrength = 1000
	else
		self.clear = CreateAEmitter("Recon Voiceover Area Clear")
		self.enableclear = true;
		self.clear.ToDelete = true
	end

	if self:IsPlayerControlled() == true then
		if self.enableselect == true then
			self.selected = CreateAEmitter("Recon Voiceover Selected")
			MovableMan:AddParticle(self.selected);
			self.enableselect = false
		end
		self.selected.Pos = self.Pos
		self.selected.ToDelete = false
		self.selected.ToSettle = false
		self.selected.PinStrength = 1000
	else
		self.selected = CreateAEmitter("Recon Voiceover Selected")
		self.enableselect = true
		self.selected.ToDelete = true
	end
end

function UpdateAI(self)
	self.AI:Update(self)
end
		
-----------------------------------------------------------
